Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Class VolumeInformation

    java.lang.Object
      |
      +--com.novell.service.file.nw.VolumeInformation

public class VolumeInformation
extends java.lang.Object
implements java.lang.Cloneable

Provides for attribute values of volume information associated with a given Volume.

This class results in a mutable object. For versitility, code block synchronization has been implemented in the various jndi search and modify methods of this classes implementation to provide for thread safe operation.

If you have a code segment of a multi-threaded application that uses get methods of this class, and there is a potential of another thread randomly using corresponding set methods of this class, you should enclose the calls to the get methods of this class in a synchronized code block.

If you have a code segment of a multi-threaded application that uses set methods of this class, and there is a potential of another thread randomly using corresponding get methods of this class, you should enclose the calls to the set methods of this class in a synchronized code block.

Field Summary
`static java.lang.String` | `ATTRIBUTE_ID` Attribute ID of VolumeInformation.
`static java.lang.String` | `AVAILABLEBLOCKS_FIELD` The AvailableBlocks compare field.
`static java.lang.String` | `AVAILABLEDIRENTRIES_FIELD` The AvailableDirEntries compare field.
`static java.lang.String` | `AVAILSUBALLOCSECTORS_FIELD` The AvailSubAllocSectors compare field.
`static java.lang.String` | `CLUSTERSUSEDBYDIRS_FIELD` The ClustersUsedByDirs compare field.
`static java.lang.String` | `CLUSTERSUSEDBYEXTDIRS_FIELD` The ClustersUsedByExtDirs compare field.
`static java.lang.String` | `CLUSTERSUSEDBYFAT_FIELD` The ClustersUsedByFAT compare field.
`static java.lang.String` | `COMPARE_SYNTAX_STRING` Schema Syntax of VolumeInformation.
`static java.lang.String` | `COMPRESSEDSECTORS_FIELD` The CompressedSectors compare field.
`static java.lang.String` | `DIRECTORYSERVICESNAME_FIELD` The DirectoryServicesName compare field.
`protected int` | `directoryServicesObjectId`
`static java.lang.String` | `EXTATTREXTANTSUSED_FIELD` The ExtAttrExtantsUsed compare field.
`static java.lang.String` | `EXTATTRSDEFINED_FIELD` The ExtAttrsDefined compare field.
`static java.lang.String` | `FREEABLELIMBOSECTORS_FIELD` The FreeableLimboSectors compare field.
`static java.lang.String` | `FREECLUSTERS_FIELD` The FreeClusters compare field.
`static java.lang.String` | `MIGRATEDSECTORS_FIELD` The MigratedSectors compare field.
`static java.lang.String` | `NONFREEABLELIMBOSECTORS_FIELD` The NonfreeableLimboSectors compare field.
`static java.lang.String` | `NONUSEABLESUBALLOCSECTORS_FIELD` The NonuseableSubAllocSectors compare field.
`static java.lang.String` | `NOTYETPURGEABLEBLOCKS_FIELD` The NotYetPurgeableBlocks compare field.
`static java.lang.String` | `NUMCOMPRESSEDDATASTREAMS_FIELD` The NumCompressedDataStreams compare field.
`static java.lang.String` | `NUMCOMPRESSEDLIMBODATASTREAMS_FIELD` The NumCompressedLimboDataStreams compare field.
`static java.lang.String` | `NUMDATASTREAMS_FIELD` The NumDataStreams compare field.
`static java.lang.String` | `NUMLIMBODATASTREAMS_FIELD` The NumLimboDataStreams compare field.
`static java.lang.String` | `NUMMIGRATEDDATASTREAMS_FIELD` The NumMigratedDataStreams compare field.
`static java.lang.String` | `NUMNONCOMPRESSIBLEDATASTREAMS_FIELD` The NumNoncompressibleDataStreams compare field.
`static java.lang.String` | `OLDESTDELFILEAGEINTICKS_FIELD` The OldestDelFileAgeInTicks compare field.
`static java.lang.String` | `PRECOMPRESSEDSECTORS_FIELD` The PrecompressedSectors compare field.
`static java.lang.String` | `PURGEABLEBLOCKS_FIELD` The PurgeableBlocks compare field.
`static java.lang.String` | `RESERVED_FIELD` The Reserved compare field.
`static java.lang.String` | `SCHEMA_BINDING_NAME` Schema Name of VolumeInformation.
`static java.lang.String` | `SECTORSIZE_FIELD` The SectorSize compare field.
`static java.lang.String` | `SECTORSPERBLOCK_FIELD` The SectorsPerBlock compare field.
`static java.lang.String` | `SECTORSPERCLUSTER_FIELD` The SectorsPerCluster compare field.
`static java.lang.String` | `STATUSFLAG_FIELD` The StatusFlag compare field.
`static java.lang.String` | `SUBALLOCCLUSTERS_FIELD` The SubAllocClusters compare field.
`static java.lang.String` | `SUBALLOCFREEABLECLUSTERS_FIELD` The SubAllocFreeableClusters compare field.
`static java.lang.String` | `TOTALBLOCKS_FIELD` The TotalBlocks compare field.
`static java.lang.String` | `TOTALDIRENTRIES_FIELD` The TotalDirEntries compare field.
`static java.lang.String` | `TOTALEXTDIREXTANTS_FIELD` The TotalExtDirExtants compare field.
`static java.lang.String` | `UNUSEDDIRENTRIES_FIELD` The UnusedDirEntries compare field.
`static java.lang.String` | `UNUSEDEXTDIREXTANTS_FIELD` The UnusedExtDirExtants compare field.
`static java.lang.String` | `VOLISREMOVABLEFLAG_FIELD` The VolIsRemovableFlag compare field.
`static java.lang.String` | `VOLLASTMODIFIEDDATEANDTIME_FIELD` The VolLastModifiedDateAndTime compare field.
`static java.lang.String` | `VOLNAME_FIELD` The VolName compare field.
`static java.lang.String` | `VOLSIZEINCLUSTERS_FIELD` The VolSizeInClusters compare field.
`static java.lang.String` | `VOLTYPE_FIELD` The VolType compare field.

Constructor Summary
`VolumeInformation()` Creates a Default VolumeInformation Constructor with no parameters.
`VolumeInformation(java.lang.String volName, int totalBlocks, int sectorsPerBlock, int availableBlocks, int totalDirEntries, int availableDirEntries, boolean volIsRemovableFlag, int volType, int statusFlag, int sectorSize, int sectorsPerCluster, int volSizeInClusters, int freeClusters, int subAllocFreeableClusters, int freeableLimboSectors, int nonfreeableLimboSectors, int availSubAllocSectors, int nonuseableSubAllocSectors, int subAllocClusters, int numDataStreams, int numLimboDataStreams, int oldestDelFileAgeInTicks, int numCompressedDataStreams, int numCompressedLimboDataStreams, int numNoncompressibleDataStreams, int precompressedSectors, int compressedSectors, int numMigratedDataStreams, int migratedSectors, int clustersUsedByFAT, int clustersUsedByDirs, int clustersUsedByExtDirs, int unusedDirEntries, int totalExtDirExtants, int unusedExtDirExtants, int extAttrsDefined, int extAttrExtantsUsed, java.lang.String directoryServicesName, int volLastModifiedDateAndTime, int purgeableBlocks, int notYetPurgeableBlocks, int reserved)` Creates a full VolumeInformation Constructor with all possible parameters and initializes the object to the values of these parameters.

Method Summary
`java.lang.Object` | `clone()` Instantiates a new VolumeInformation object with all new references, but with the same values within those references.
`boolean` | `equals(java.lang.Object obj)` Compare the input object against this object for equality.
`int` | `getAvailableBlocks()` Returns the availableBlocks field of this Object.
`int` | `getAvailableDirEntries()` Returns the availableDirEntries field of this Object.
`int` | `getAvailSubAllocSectors()` Returns the availSubAllocSectors field of this Object.
`int` | `getClustersUsedByDirs()` Returns the clustersUsedByDirs field of this Object.
`int` | `getClustersUsedByExtDirs()` Returns the clustersUsedByExtDirs field of this Object.
`int` | `getClustersUsedByFAT()` Returns the clustersUsedByFAT field of this Object.
`java.lang.String` | `getCompareString()` Returns the current value of compareString.
`int` | `getCompressedSectors()` Returns the compressedSectors field of this Object.
`java.lang.String` | `getDirectoryServicesName()` Returns a reference to this object's directoryServicesName field.
`int` | `getExtAttrExtantsUsed()` Returns the extAttrExtantsUsed field of this Object.
`int` | `getExtAttrsDefined()` Returns the extAttrsDefined field of this Object.
`int` | `getFreeableLimboSectors()` Returns the freeableLimboSectors field of this Object.
`int` | `getFreeClusters()` Returns the freeClusters field of this Object.
`int` | `getMigratedSectors()` Returns the migratedSectors field of this Object.
`int` | `getNonfreeableLimboSectors()` Returns the nonfreeableLimboSectors field of this Object.
`int` | `getNonuseableSubAllocSectors()` Returns the nonuseableSubAllocSectors field of this Object.
`int` | `getNotYetPurgeableBlocks()` Returns the notYetPurgeableBlocks field of this Object.
`int` | `getNumCompressedDataStreams()` Returns the numCompressedDataStreams field of this Object.
`int` | `getNumCompressedLimboDataStreams()` Returns the numCompressedLimboDataStreams field of this Object.
`int` | `getNumDataStreams()` Returns the numDataStreams field of this Object.
`int` | `getNumLimboDataStreams()` Returns the numLimboDataStreams field of this Object.
`int` | `getNumMigratedDataStreams()` Returns the numMigratedDataStreams field of this Object.
`int` | `getNumNoncompressibleDataStreams()` Returns the numNoncompressibleDataStreams field of this Object.
`int` | `getOldestDelFileAgeInTicks()` Returns the oldestDelFileAgeInTicks field of this Object.
`int` | `getPrecompressedSectors()` Returns the precompressedSectors field of this Object.
`int` | `getPurgeableBlocks()` Returns the purgeableBlocks field of this Object.
`int` | `getReserved()` Returns the reserved field of this Object.
`com.novell.service.rfc1960.Rfc1960Parser` | `getSearchStringParser()` Returns a Rfc1960Parser object that was instantiated with the compareString last set by the setCompareString method.
`int` | `getSectorSize()` Returns the sectorSize field of this Object.
`int` | `getSectorsPerBlock()` Returns the sectorsPerBlock field of this Object.
`int` | `getSectorsPerCluster()` Returns the sectorsPerCluster field of this Object.
`int` | `getStatusFlag()` Returns the statusFlag field of this Object.
`int` | `getSubAllocClusters()` Returns the subAllocClusters field of this Object.
`int` | `getSubAllocFreeableClusters()` Returns the subAllocFreeableClusters field of this Object.
`int` | `getTotalBlocks()` Returns the totalBlocks field of this Object.
`int` | `getTotalDirEntries()` Returns the totalDirEntries field of this Object.
`int` | `getTotalExtDirExtants()` Returns the totalExtDirExtants field of this Object.
`int` | `getUnusedDirEntries()` Returns the unusedDirEntries field of this Object.
`int` | `getUnusedExtDirExtants()` Returns the unusedExtDirExtants field of this Object.
`boolean` | `getVolIsRemovableFlag()` Returns the volIsRemovableFlag field of this Object.
`int` | `getVolLastModifiedDateAndTime()` Returns the volLastModifiedDateAndTime field of this Object.
`java.lang.String` | `getVolName()` Returns the volName field of this Object.
`int` | `getVolSizeInClusters()` Returns the volSizeInClusters field of this Object.
`int` | `getVolType()` Returns the volType field of this Object.
`void` | `setAvailableBlocks(int value)` Sets the availableBlocks field of this Object.
`void` | `setAvailableDirEntries(int value)` Sets the availableDirEntries field of this Object.
`void` | `setAvailSubAllocSectors(int value)` Sets the availSubAllocSectors field of this Object.
`void` | `setClustersUsedByDirs(int value)` Sets the clustersUsedByDirs field of this Object.
`void` | `setClustersUsedByExtDirs(int value)` Sets the clustersUsedByExtDirs field of this Object.
`void` | `setClustersUsedByFAT(int value)` Sets the clustersUsedByFAT field of this Object.
`void` | `setCompareString(java.lang.String compareString)` Set the compare string value for the compare fields.
`void` | `setCompressedSectors(int value)` Sets the compressedSectors field of this Object.
`void` | `setDirectoryServicesName(java.lang.String value)` Sets the directoryServicesName field of the Attribute.
`void` | `setExtAttrExtantsUsed(int value)` Sets the extAttrExtantsUsed field of this Object.
`void` | `setExtAttrsDefined(int value)` Sets the extAttrsDefined field of this Object.
`void` | `setFreeableLimboSectors(int value)` Sets the freeableLimboSectors field of this Object.
`void` | `setFreeClusters(int value)` Sets the freeClusters field of this Object.
`void` | `setMigratedSectors(int value)` Sets the migratedSectors field of this Object.
`void` | `setNonfreeableLimboSectors(int value)` Sets the nonfreeableLimboSectors field of this Object.
`void` | `setNonuseableSubAllocSectors(int value)` Sets the nonuseableSubAllocSectors field of this Object.
`void` | `setNotYetPurgeableBlocks(int value)` Sets the notYetPurgeableBlocks field of this Object.
`void` | `setNumCompressedDataStreams(int value)` Sets the numCompressedDataStreams field of this Object.
`void` | `setNumCompressedLimboDataStreams(int value)` Sets the numCompressedLimboDataStreams field of this Object.
`void` | `setNumDataStreams(int value)` Sets the numDataStreams field of this Object.
`void` | `setNumLimboDataStreams(int value)` Sets the numLimboDataStreams field of this Object.
`void` | `setNumMigratedDataStreams(int value)` Sets the numMigratedDataStreams field of this Object.
`void` | `setNumNoncompressibleDataStreams(int value)` Sets the numNoncompressibleDataStreams field of this Object.
`void` | `setOldestDelFileAgeInTicks(int value)` Sets the oldestDelFileAgeInTicks field of this Object.
`void` | `setPrecompressedSectors(int value)` Sets the precompressedSectors field of this Object.
`void` | `setPurgeableBlocks(int value)` Sets the purgeableBlocks field of this Object.
`void` | `setReserved(int value)` Sets the reserved field of this Object.
`void` | `setSectorSize(int value)` Sets the sectorSize field of this Object.
`void` | `setSectorsPerBlock(int value)` Sets the sectorsPerBlock field of this Object.
`void` | `setSectorsPerCluster(int value)` Sets the sectorsPerCluster field of this Object.
`void` | `setStatusFlag(int value)` Sets the statusFlag field of this Object.
`void` | `setSubAllocClusters(int value)` Sets the subAllocClusters field of this Object.
`void` | `setSubAllocFreeableClusters(int value)` Sets the subAllocFreeableClusters field of this Object.
`void` | `setTotalBlocks(int value)` Sets the totalBlocks field of this Object.
`void` | `setTotalDirEntries(int value)` Sets the totalDirEntries field of this Object.
`void` | `setTotalExtDirExtants(int value)` Sets the totalExtDirExtants field of this Object.
`void` | `setUnusedDirEntries(int value)` Sets the unusedDirEntries field of this Object.
`void` | `setUnusedExtDirExtants(int value)` Sets the unusedExtDirExtants field of this Object.
`void` | `setVolIsRemovableFlag(boolean value)` Sets the volIsRemovableFlag field of this Object.
`void` | `setVolLastModifiedDateAndTime(int value)` Sets the volLastModifiedDateAndTime field of this Object.
`void` | `setVolName(java.lang.String value)` Sets the volName field of this Object.
`void` | `setVolSizeInClusters(int value)` Sets the volSizeInClusters field of this Object.
`void` | `setVolType(int value)` Sets the volType field of this Object.
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTRIBUTE_ID

    public static final java.lang.String ATTRIBUTE_ID

  Attribute ID of VolumeInformation.

  (ATTRIBUTE_ID = "Volume Information")

### SCHEMA_BINDING_NAME

    public static final java.lang.String SCHEMA_BINDING_NAME

  Schema Name of VolumeInformation.

  (SCHEMA_BINDING_NAME = ATTRIBUTE_ID + " Definition")

### COMPARE_SYNTAX_STRING

    public static final java.lang.String COMPARE_SYNTAX_STRING

  Schema Syntax of VolumeInformation.

  (COMPARE_SYNTAX_STRING = "(" + SearchStringComponent.EQUALS_STRING + "," + SearchStringComponent.PRESENT_STRING + "," + SearchStringComponent.SUBSTRING_STRING + ")")

### VOLNAME_FIELD

    public static final java.lang.String VOLNAME_FIELD

  The VolName compare field.

  (VOLNAME_FIELD = "VolName")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### TOTALBLOCKS_FIELD

    public static final java.lang.String TOTALBLOCKS_FIELD

  The TotalBlocks compare field.

  (TOTALBLOCKS_FIELD = "TotalBlocks")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### SECTORSPERBLOCK_FIELD

    public static final java.lang.String SECTORSPERBLOCK_FIELD

  The SectorsPerBlock compare field.

  (SECTORSPERBLOCK_FIELD = "SectorsPerBlock")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### AVAILABLEBLOCKS_FIELD

    public static final java.lang.String AVAILABLEBLOCKS_FIELD

  The AvailableBlocks compare field.

  (AVAILABLEBLOCKS_FIELD = "AvailableBlocks")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### TOTALDIRENTRIES_FIELD

    public static final java.lang.String TOTALDIRENTRIES_FIELD

  The TotalDirEntries compare field.

  (TOTALDIRENTRIES_FIELD = "TotalDirEntries")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### AVAILABLEDIRENTRIES_FIELD

    public static final java.lang.String AVAILABLEDIRENTRIES_FIELD

  The AvailableDirEntries compare field.

  (AVAILABLEDIRENTRIES_FIELD = "AvailableDirEntries")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### VOLISREMOVABLEFLAG_FIELD

    public static final java.lang.String VOLISREMOVABLEFLAG_FIELD

  The VolIsRemovableFlag compare field.

  (VOLISREMOVABLEFLAG_FIELD = "VolIsRemovableFlag")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### VOLTYPE_FIELD

    public static final java.lang.String VOLTYPE_FIELD

  The VolType compare field.

  (VOLTYPE_FIELD = "VolType")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### STATUSFLAG_FIELD

    public static final java.lang.String STATUSFLAG_FIELD

  The StatusFlag compare field.

  (STATUSFLAG_FIELD = "StatusFlag")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### SECTORSIZE_FIELD

    public static final java.lang.String SECTORSIZE_FIELD

  The SectorSize compare field.

  (SECTORSIZE_FIELD = "SectorSize")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### SECTORSPERCLUSTER_FIELD

    public static final java.lang.String SECTORSPERCLUSTER_FIELD

  The SectorsPerCluster compare field.

  (SECTORSPERCLUSTER_FIELD = "SectorsPerCluster")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### VOLSIZEINCLUSTERS_FIELD

    public static final java.lang.String VOLSIZEINCLUSTERS_FIELD

  The VolSizeInClusters compare field.

  (VOLSIZEINCLUSTERS_FIELD = "VolSizeInClusters")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### FREECLUSTERS_FIELD

    public static final java.lang.String FREECLUSTERS_FIELD

  The FreeClusters compare field.

  (FREECLUSTERS_FIELD = "FreeClusters")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### SUBALLOCFREEABLECLUSTERS_FIELD

    public static final java.lang.String SUBALLOCFREEABLECLUSTERS_FIELD

  The SubAllocFreeableClusters compare field.

  (SUBALLOCFREEABLECLUSTERS_FIELD = "SubAllocFreeableClusters")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### FREEABLELIMBOSECTORS_FIELD

    public static final java.lang.String FREEABLELIMBOSECTORS_FIELD

  The FreeableLimboSectors compare field.

  (FREEABLELIMBOSECTORS_FIELD = "FreeableLimboSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NONFREEABLELIMBOSECTORS_FIELD

    public static final java.lang.String NONFREEABLELIMBOSECTORS_FIELD

  The NonfreeableLimboSectors compare field.

  (NONFREEABLELIMBOSECTORS_FIELD = "NonfreeableLimboSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### AVAILSUBALLOCSECTORS_FIELD

    public static final java.lang.String AVAILSUBALLOCSECTORS_FIELD

  The AvailSubAllocSectors compare field.

  (AVAILSUBALLOCSECTORS_FIELD = "AvailSubAllocSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NONUSEABLESUBALLOCSECTORS_FIELD

    public static final java.lang.String NONUSEABLESUBALLOCSECTORS_FIELD

  The NonuseableSubAllocSectors compare field.

  (NONUSEABLESUBALLOCSECTORS_FIELD = "NonuseableSubAllocSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### SUBALLOCCLUSTERS_FIELD

    public static final java.lang.String SUBALLOCCLUSTERS_FIELD

  The SubAllocClusters compare field.

  (SUBALLOCCLUSTERS_FIELD = "SubAllocClusters")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMDATASTREAMS_FIELD

    public static final java.lang.String NUMDATASTREAMS_FIELD

  The NumDataStreams compare field.

  (NUMDATASTREAMS_FIELD = "NumDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMLIMBODATASTREAMS_FIELD

    public static final java.lang.String NUMLIMBODATASTREAMS_FIELD

  The NumLimboDataStreams compare field.

  (NUMLIMBODATASTREAMS_FIELD = "NumLimboDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### OLDESTDELFILEAGEINTICKS_FIELD

    public static final java.lang.String OLDESTDELFILEAGEINTICKS_FIELD

  The OldestDelFileAgeInTicks compare field.

  (OLDESTDELFILEAGEINTICKS_FIELD = "OldestDelFileAgeInTicks")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMCOMPRESSEDDATASTREAMS_FIELD

    public static final java.lang.String NUMCOMPRESSEDDATASTREAMS_FIELD

  The NumCompressedDataStreams compare field.

  (NUMCOMPRESSEDDATASTREAMS_FIELD = "NumCompressedDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMCOMPRESSEDLIMBODATASTREAMS_FIELD

    public static final java.lang.String NUMCOMPRESSEDLIMBODATASTREAMS_FIELD

  The NumCompressedLimboDataStreams compare field.

  (NUMCOMPRESSEDLIMBODATASTREAMS_FIELD = "NumCompressedLimboDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMNONCOMPRESSIBLEDATASTREAMS_FIELD

    public static final java.lang.String NUMNONCOMPRESSIBLEDATASTREAMS_FIELD

  The NumNoncompressibleDataStreams compare field.

  (NUMNONCOMPRESSIBLEDATASTREAMS_FIELD = "NumNoncompressibleDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### PRECOMPRESSEDSECTORS_FIELD

    public static final java.lang.String PRECOMPRESSEDSECTORS_FIELD

  The PrecompressedSectors compare field.

  (PRECOMPRESSEDSECTORS_FIELD = "PrecompressedSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### COMPRESSEDSECTORS_FIELD

    public static final java.lang.String COMPRESSEDSECTORS_FIELD

  The CompressedSectors compare field.

  (COMPRESSEDSECTORS_FIELD = "CompressedSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NUMMIGRATEDDATASTREAMS_FIELD

    public static final java.lang.String NUMMIGRATEDDATASTREAMS_FIELD

  The NumMigratedDataStreams compare field.

  (NUMMIGRATEDDATASTREAMS_FIELD = "NumMigratedDataStreams")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### MIGRATEDSECTORS_FIELD

    public static final java.lang.String MIGRATEDSECTORS_FIELD

  The MigratedSectors compare field.

  (MIGRATEDSECTORS_FIELD = "MigratedSectors")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CLUSTERSUSEDBYFAT_FIELD

    public static final java.lang.String CLUSTERSUSEDBYFAT_FIELD

  The ClustersUsedByFAT compare field.

  (CLUSTERSUSEDBYFAT_FIELD = "ClustersUsedByFAT")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CLUSTERSUSEDBYDIRS_FIELD

    public static final java.lang.String CLUSTERSUSEDBYDIRS_FIELD

  The ClustersUsedByDirs compare field.

  (CLUSTERSUSEDBYDIRS_FIELD = "ClustersUsedByDirs")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### CLUSTERSUSEDBYEXTDIRS_FIELD

    public static final java.lang.String CLUSTERSUSEDBYEXTDIRS_FIELD

  The ClustersUsedByExtDirs compare field.

  (CLUSTERSUSEDBYEXTDIRS_FIELD = "ClustersUsedByExtDirs")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### UNUSEDDIRENTRIES_FIELD

    public static final java.lang.String UNUSEDDIRENTRIES_FIELD

  The UnusedDirEntries compare field.

  (UNUSEDDIRENTRIES_FIELD = "UnusedDirEntries")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### TOTALEXTDIREXTANTS_FIELD

    public static final java.lang.String TOTALEXTDIREXTANTS_FIELD

  The TotalExtDirExtants compare field.

  (TOTALEXTDIREXTANTS_FIELD = "TotalExtDirExtants")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### UNUSEDEXTDIREXTANTS_FIELD

    public static final java.lang.String UNUSEDEXTDIREXTANTS_FIELD

  The UnusedExtDirExtants compare field.

  (UNUSEDEXTDIREXTANTS_FIELD = "UnusedExtDirExtants")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### EXTATTRSDEFINED_FIELD

    public static final java.lang.String EXTATTRSDEFINED_FIELD

  The ExtAttrsDefined compare field.

  (EXTATTRSDEFINED_FIELD = "ExtAttrsDefined")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### EXTATTREXTANTSUSED_FIELD

    public static final java.lang.String EXTATTREXTANTSUSED_FIELD

  The ExtAttrExtantsUsed compare field.

  (EXTATTREXTANTSUSED_FIELD = "ExtAttrExtantsUsed")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### DIRECTORYSERVICESNAME_FIELD

    public static final java.lang.String DIRECTORYSERVICESNAME_FIELD

  The DirectoryServicesName compare field.

  (DIRECTORYSERVICESNAME_FIELD = "DirectoryServicesName")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### VOLLASTMODIFIEDDATEANDTIME_FIELD

    public static final java.lang.String VOLLASTMODIFIEDDATEANDTIME_FIELD

  The VolLastModifiedDateAndTime compare field.

  (VOLLASTMODIFIEDDATEANDTIME_FIELD = "VolLastModifiedDateAndTime")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### PURGEABLEBLOCKS_FIELD

    public static final java.lang.String PURGEABLEBLOCKS_FIELD

  The PurgeableBlocks compare field.

  (PURGEABLEBLOCKS_FIELD = "PurgeableBlocks")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### NOTYETPURGEABLEBLOCKS_FIELD

    public static final java.lang.String NOTYETPURGEABLEBLOCKS_FIELD

  The NotYetPurgeableBlocks compare field.

  (NOTYETPURGEABLEBLOCKS_FIELD = "NotYetPurgeableBlocks")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### RESERVED_FIELD

    public static final java.lang.String RESERVED_FIELD

  The Reserved compare field.

  (RESERVED_FIELD = "Reserved")

  See Also:
    `setCompareString(java.lang.String)`, `equals(java.lang.Object)`

### directoryServicesObjectId

    protected int directoryServicesObjectId

Constructor Detail

### VolumeInformation

    public VolumeInformation()

  Creates a Default VolumeInformation Constructor with no parameters.

### VolumeInformation

    public VolumeInformation(java.lang.String volName,
                             int totalBlocks,
                             int sectorsPerBlock,
                             int availableBlocks,
                             int totalDirEntries,
                             int availableDirEntries,
                             boolean volIsRemovableFlag,
                             int volType,
                             int statusFlag,
                             int sectorSize,
                             int sectorsPerCluster,
                             int volSizeInClusters,
                             int freeClusters,
                             int subAllocFreeableClusters,
                             int freeableLimboSectors,
                             int nonfreeableLimboSectors,
                             int availSubAllocSectors,
                             int nonuseableSubAllocSectors,
                             int subAllocClusters,
                             int numDataStreams,
                             int numLimboDataStreams,
                             int oldestDelFileAgeInTicks,
                             int numCompressedDataStreams,
                             int numCompressedLimboDataStreams,
                             int numNoncompressibleDataStreams,
                             int precompressedSectors,
                             int compressedSectors,
                             int numMigratedDataStreams,
                             int migratedSectors,
                             int clustersUsedByFAT,
                             int clustersUsedByDirs,
                             int clustersUsedByExtDirs,
                             int unusedDirEntries,
                             int totalExtDirExtants,
                             int unusedExtDirExtants,
                             int extAttrsDefined,
                             int extAttrExtantsUsed,
                             java.lang.String directoryServicesName,
                             int volLastModifiedDateAndTime,
                             int purgeableBlocks,
                             int notYetPurgeableBlocks,
                             int reserved)

  Creates a full VolumeInformation Constructor with all possible parameters and initializes the object to the values of these parameters.

  The actual directoryServicesName parameter reference will be stored by this object (it will not be cloned). Later modifications to to this references state will be reflected in this object.

  Parameters:
    `volName` - The volName data members value.
    `totalBlocks` - The totalBlocks data members value.
    `sectorsPerBlock` - The sectorsPerBlock data members value.
    `availableBlocks` - The availableBlocks data members value.
    `totalDirEntries` - The totalDirEntries data members value.
    `availableDirEntries` - The availableDirEntries data members value.
    `volIsRemovableFlag` - The volIsRemovableFlag data members value.
    `volType` - The volType data members value.
    `statusFlag` - The statusFlag data members value.
    `sectorSize` - The sectorSize data members value.
    `sectorsPerCluster` - The sectorsPerCluster data members value.
    `volSizeInClusters` - The volSizeInClusters data members value.
    `freeClusters` - The freeClusters data members value.
    `subAllocFreeableClusters` - The subAllocFreeableClusters data members value.
    `freeableLimboSectors` - The freeableLimboSectors data members value.
    `nonfreeableLimboSectors` - The nonfreeableLimboSectors data members value.
    `availSubAllocSectors` - The availSubAllocSectors data members value.
    `nonuseableSubAllocSectors` - The nonuseableSubAllocSectors data members value.
    `subAllocClusters` - The subAllocClusters data members value.
    `numDataStreams` - The numDataStreams data members value.
    `numLimboDataStreams` - The numLimboDataStreams data members value.
    `oldestDelFileAgeInTicks` - The oldestDelFileAgeInTicks data members value.
    `numCompressedDataStreams` - The numCompressedDataStreams data members value.
    `numCompressedLimboDataStreams` - The numCompressedLimboDataStreams data members value.
    `numNoncompressibleDataStreams` - The numNoncompressibleDataStreams data members value.
    `precompressedSectors` - The precompressedSectors data members value.
    `compressedSectors` - The compressedSectors data members value.
    `numMigratedDataStreams` - The numMigratedDataStreams data members value.
    `migratedSectors` - The migratedSectors data members value.
    `clustersUsedByFAT` - The clustersUsedByFAT data members value.
    `clustersUsedByDirs` - The clustersUsedByDirs data members value.
    `clustersUsedByExtDirs` - The clustersUsedByExtDirs data members value.
    `unusedDirEntries` - The unusedDirEntries data members value.
    `totalExtDirExtants` - The totalExtDirExtants data members value.
    `unusedExtDirExtants` - The unusedExtDirExtants data members value.
    `extAttrsDefined` - The extAttrsDefined data members value.
    `extAttrExtantsUsed` - The extAttrExtantsUsed data members value.
    `directoryServicesName` - The directoryServicesName data members value.
    `volLastModifiedDateAndTime` - The volLastModifiedDateAndTime data members value.
    `purgeableBlocks` - The purgeableBlocks data members value.
    `notYetPurgeableBlocks` - The notYetPurgeableBlocks data members value.
    `reserved` - The reserved data members value.

Method Detail

### getVolName

    public java.lang.String getVolName()

  Returns the volName field of this Object.
  Returns:
    The current volName value.

### setVolName

    public void setVolName(java.lang.String value)

  Sets the volName field of this Object.
  Parameters:
    `value` - The new volName value.

### getTotalBlocks

    public int getTotalBlocks()

  Returns the totalBlocks field of this Object.
  Returns:
    The current totalBlocks value.

### setTotalBlocks

    public void setTotalBlocks(int value)

  Sets the totalBlocks field of this Object.
  Parameters:
    `value` - The new totalBlocks value.

### getSectorsPerBlock

    public int getSectorsPerBlock()

  Returns the sectorsPerBlock field of this Object.
  Returns:
    The current sectorsPerBlock value.

### setSectorsPerBlock

    public void setSectorsPerBlock(int value)

  Sets the sectorsPerBlock field of this Object.
  Parameters:
    `value` - The new sectorsPerBlock value.

### getAvailableBlocks

    public int getAvailableBlocks()

  Returns the availableBlocks field of this Object.
  Returns:
    The current availableBlocks value.

### setAvailableBlocks

    public void setAvailableBlocks(int value)

  Sets the availableBlocks field of this Object.
  Parameters:
    `value` - The new availableBlocks value.

### getTotalDirEntries

    public int getTotalDirEntries()

  Returns the totalDirEntries field of this Object.
  Returns:
    The current totalDirEntries value.

### setTotalDirEntries

    public void setTotalDirEntries(int value)

  Sets the totalDirEntries field of this Object.
  Parameters:
    `value` - The new totalDirEntries value.

### getAvailableDirEntries

    public int getAvailableDirEntries()

  Returns the availableDirEntries field of this Object.
  Returns:
    The current availableDirEntries value.

### setAvailableDirEntries

    public void setAvailableDirEntries(int value)

  Sets the availableDirEntries field of this Object.
  Parameters:
    `value` - The new availableDirEntries value.

### getVolIsRemovableFlag

    public boolean getVolIsRemovableFlag()

  Returns the volIsRemovableFlag field of this Object.
  Returns:
    The current volIsRemovableFlag value.

### setVolIsRemovableFlag

    public void setVolIsRemovableFlag(boolean value)

  Sets the volIsRemovableFlag field of this Object.
  Parameters:
    `value` - The new volIsRemovableFlag value.

### getVolType

    public int getVolType()

  Returns the volType field of this Object.
  Returns:
    The current volType value.

### setVolType

    public void setVolType(int value)

  Sets the volType field of this Object.
  Parameters:
    `value` - The new volType value.

### getStatusFlag

    public int getStatusFlag()

  Returns the statusFlag field of this Object.
  Returns:
    The current statusFlag value.

### setStatusFlag

    public void setStatusFlag(int value)

  Sets the statusFlag field of this Object.
  Parameters:
    `value` - The new statusFlag value.

### getSectorSize

    public int getSectorSize()

  Returns the sectorSize field of this Object.
  Returns:
    The current sectorSize value.

### setSectorSize

    public void setSectorSize(int value)

  Sets the sectorSize field of this Object.
  Parameters:
    `value` - The new sectorSize value.

### getSectorsPerCluster

    public int getSectorsPerCluster()

  Returns the sectorsPerCluster field of this Object.
  Returns:
    The current sectorsPerCluster value.

### setSectorsPerCluster

    public void setSectorsPerCluster(int value)

  Sets the sectorsPerCluster field of this Object.
  Parameters:
    `value` - The new sectorsPerCluster value.

### getVolSizeInClusters

    public int getVolSizeInClusters()

  Returns the volSizeInClusters field of this Object.
  Returns:
    The current volSizeInClusters value.

### setVolSizeInClusters

    public void setVolSizeInClusters(int value)

  Sets the volSizeInClusters field of this Object.
  Parameters:
    `value` - The new volSizeInClusters value.

### getFreeClusters

    public int getFreeClusters()

  Returns the freeClusters field of this Object.
  Returns:
    The current freeClusters value.

### setFreeClusters

    public void setFreeClusters(int value)

  Sets the freeClusters field of this Object.
  Parameters:
    `value` - The new freeClusters value.

### getSubAllocFreeableClusters

    public int getSubAllocFreeableClusters()

  Returns the subAllocFreeableClusters field of this Object.
  Returns:
    The current subAllocFreeableClusters value.

### setSubAllocFreeableClusters

    public void setSubAllocFreeableClusters(int value)

  Sets the subAllocFreeableClusters field of this Object.
  Parameters:
    `value` - The new subAllocFreeableClusters value.

### getFreeableLimboSectors

    public int getFreeableLimboSectors()

  Returns the freeableLimboSectors field of this Object.
  Returns:
    The current freeableLimboSectors value.

### setFreeableLimboSectors

    public void setFreeableLimboSectors(int value)

  Sets the freeableLimboSectors field of this Object.
  Parameters:
    `value` - The new freeableLimboSectors value.

### getNonfreeableLimboSectors

    public int getNonfreeableLimboSectors()

  Returns the nonfreeableLimboSectors field of this Object.
  Returns:
    The current nonfreeableLimboSectors value.

### setNonfreeableLimboSectors

    public void setNonfreeableLimboSectors(int value)

  Sets the nonfreeableLimboSectors field of this Object.
  Parameters:
    `value` - The new nonfreeableLimboSectors value.

### getAvailSubAllocSectors

    public int getAvailSubAllocSectors()

  Returns the availSubAllocSectors field of this Object.
  Returns:
    The current availSubAllocSectors value.

### setAvailSubAllocSectors

    public void setAvailSubAllocSectors(int value)

  Sets the availSubAllocSectors field of this Object.
  Parameters:
    `value` - The new availSubAllocSectors value.

### getNonuseableSubAllocSectors

    public int getNonuseableSubAllocSectors()

  Returns the nonuseableSubAllocSectors field of this Object.
  Returns:
    The current nonuseableSubAllocSectors value.

### setNonuseableSubAllocSectors

    public void setNonuseableSubAllocSectors(int value)

  Sets the nonuseableSubAllocSectors field of this Object.
  Parameters:
    `value` - The new nonuseableSubAllocSectors value.

### getSubAllocClusters

    public int getSubAllocClusters()

  Returns the subAllocClusters field of this Object.
  Returns:
    The current subAllocClusters value.

### setSubAllocClusters

    public void setSubAllocClusters(int value)

  Sets the subAllocClusters field of this Object.
  Parameters:
    `value` - The new subAllocClusters value.

### getNumDataStreams

    public int getNumDataStreams()

  Returns the numDataStreams field of this Object.
  Returns:
    The current numDataStreams value.

### setNumDataStreams

    public void setNumDataStreams(int value)

  Sets the numDataStreams field of this Object.
  Parameters:
    `value` - The new numDataStreams value.

### getNumLimboDataStreams

    public int getNumLimboDataStreams()

  Returns the numLimboDataStreams field of this Object.
  Returns:
    The current numLimboDataStreams value.

### setNumLimboDataStreams

    public void setNumLimboDataStreams(int value)

  Sets the numLimboDataStreams field of this Object.
  Parameters:
    `value` - The new numLimboDataStreams value.

### getOldestDelFileAgeInTicks

    public int getOldestDelFileAgeInTicks()

  Returns the oldestDelFileAgeInTicks field of this Object.
  Returns:
    The current oldestDelFileAgeInTicks value.

### setOldestDelFileAgeInTicks

    public void setOldestDelFileAgeInTicks(int value)

  Sets the oldestDelFileAgeInTicks field of this Object.
  Parameters:
    `value` - The new oldestDelFileAgeInTicks value.

### getNumCompressedDataStreams

    public int getNumCompressedDataStreams()

  Returns the numCompressedDataStreams field of this Object.
  Returns:
    The current numCompressedDataStreams value.

### setNumCompressedDataStreams

    public void setNumCompressedDataStreams(int value)

  Sets the numCompressedDataStreams field of this Object.
  Parameters:
    `value` - The new numCompressedDataStreams value.

### getNumCompressedLimboDataStreams

    public int getNumCompressedLimboDataStreams()

  Returns the numCompressedLimboDataStreams field of this Object.
  Returns:
    The current numCompressedLimboDataStreams value.

### setNumCompressedLimboDataStreams

    public void setNumCompressedLimboDataStreams(int value)

  Sets the numCompressedLimboDataStreams field of this Object.
  Parameters:
    `value` - The new numCompressedLimboDataStreams value.

### getNumNoncompressibleDataStreams

    public int getNumNoncompressibleDataStreams()

  Returns the numNoncompressibleDataStreams field of this Object.
  Returns:
    The current numNoncompressibleDataStreams value.

### setNumNoncompressibleDataStreams

    public void setNumNoncompressibleDataStreams(int value)

  Sets the numNoncompressibleDataStreams field of this Object.
  Parameters:
    `value` - The new numNoncompressibleDataStreams value.

### getPrecompressedSectors

    public int getPrecompressedSectors()

  Returns the precompressedSectors field of this Object.
  Returns:
    The current precompressedSectors value.

### setPrecompressedSectors

    public void setPrecompressedSectors(int value)

  Sets the precompressedSectors field of this Object.
  Parameters:
    `value` - The new precompressedSectors value.

### getCompressedSectors

    public int getCompressedSectors()

  Returns the compressedSectors field of this Object.
  Returns:
    The current compressedSectors value.

### setCompressedSectors

    public void setCompressedSectors(int value)

  Sets the compressedSectors field of this Object.
  Parameters:
    `value` - The new compressedSectors value.

### getNumMigratedDataStreams

    public int getNumMigratedDataStreams()

  Returns the numMigratedDataStreams field of this Object.
  Returns:
    The current numMigratedDataStreams value.

### setNumMigratedDataStreams

    public void setNumMigratedDataStreams(int value)

  Sets the numMigratedDataStreams field of this Object.
  Parameters:
    `value` - The new numMigratedDataStreams value.

### getMigratedSectors

    public int getMigratedSectors()

  Returns the migratedSectors field of this Object.
  Returns:
    The current migratedSectors value.

### setMigratedSectors

    public void setMigratedSectors(int value)

  Sets the migratedSectors field of this Object.
  Parameters:
    `value` - The new migratedSectors value.

### getClustersUsedByFAT

    public int getClustersUsedByFAT()

  Returns the clustersUsedByFAT field of this Object.
  Returns:
    The current clustersUsedByFAT value.

### setClustersUsedByFAT

    public void setClustersUsedByFAT(int value)

  Sets the clustersUsedByFAT field of this Object.
  Parameters:
    `value` - The new clustersUsedByFAT value.

### getClustersUsedByDirs

    public int getClustersUsedByDirs()

  Returns the clustersUsedByDirs field of this Object.
  Returns:
    The current clustersUsedByDirs value.

### setClustersUsedByDirs

    public void setClustersUsedByDirs(int value)

  Sets the clustersUsedByDirs field of this Object.
  Parameters:
    `value` - The new clustersUsedByDirs value.

### getClustersUsedByExtDirs

    public int getClustersUsedByExtDirs()

  Returns the clustersUsedByExtDirs field of this Object.
  Returns:
    The current clustersUsedByExtDirs value.

### setClustersUsedByExtDirs

    public void setClustersUsedByExtDirs(int value)

  Sets the clustersUsedByExtDirs field of this Object.
  Parameters:
    `value` - The new clustersUsedByExtDirs value.

### getUnusedDirEntries

    public int getUnusedDirEntries()

  Returns the unusedDirEntries field of this Object.
  Returns:
    The current unusedDirEntries value.

### setUnusedDirEntries

    public void setUnusedDirEntries(int value)

  Sets the unusedDirEntries field of this Object.
  Parameters:
    `value` - The new unusedDirEntries value.

### getTotalExtDirExtants

    public int getTotalExtDirExtants()

  Returns the totalExtDirExtants field of this Object.
  Returns:
    The current totalExtDirExtants value.

### setTotalExtDirExtants

    public void setTotalExtDirExtants(int value)

  Sets the totalExtDirExtants field of this Object.
  Parameters:
    `value` - The new totalExtDirExtants value.

### getUnusedExtDirExtants

    public int getUnusedExtDirExtants()

  Returns the unusedExtDirExtants field of this Object.
  Returns:
    The current unusedExtDirExtants value.

### setUnusedExtDirExtants

    public void setUnusedExtDirExtants(int value)

  Sets the unusedExtDirExtants field of this Object.
  Parameters:
    `value` - The new unusedExtDirExtants value.

### getExtAttrsDefined

    public int getExtAttrsDefined()

  Returns the extAttrsDefined field of this Object.
  Returns:
    The current extAttrsDefined value.

### setExtAttrsDefined

    public void setExtAttrsDefined(int value)

  Sets the extAttrsDefined field of this Object.
  Parameters:
    `value` - The new extAttrsDefined value.

### getExtAttrExtantsUsed

    public int getExtAttrExtantsUsed()

  Returns the extAttrExtantsUsed field of this Object.
  Returns:
    The current extAttrExtantsUsed value.

### setExtAttrExtantsUsed

    public void setExtAttrExtantsUsed(int value)

  Sets the extAttrExtantsUsed field of this Object.
  Parameters:
    `value` - The new extAttrExtantsUsed value.

### getDirectoryServicesName

    public java.lang.String getDirectoryServicesName()

  Returns a reference to this object's directoryServicesName field. If you modify the state of the returned object, it will be reflected in this object!
  Returns:
    The current directoryServicesName value.

### setDirectoryServicesName

    public void setDirectoryServicesName(java.lang.String value)

  Sets the directoryServicesName field of the Attribute. The actual parameter reference will be stored by this object (it will not be cloned). Later modifications to to this references state will be reflected in this object.
  Parameters:
    `value` - The new directoryServicesName value.

### getVolLastModifiedDateAndTime

    public int getVolLastModifiedDateAndTime()

  Returns the volLastModifiedDateAndTime field of this Object.
  Returns:
    The current volLastModifiedDateAndTime value.

### setVolLastModifiedDateAndTime

    public void setVolLastModifiedDateAndTime(int value)

  Sets the volLastModifiedDateAndTime field of this Object.
  Parameters:
    `value` - The new volLastModifiedDateAndTime value.

### getPurgeableBlocks

    public int getPurgeableBlocks()

  Returns the purgeableBlocks field of this Object.
  Returns:
    The current purgeableBlocks value.

### setPurgeableBlocks

    public void setPurgeableBlocks(int value)

  Sets the purgeableBlocks field of this Object.
  Parameters:
    `value` - The new purgeableBlocks value.

### getNotYetPurgeableBlocks

    public int getNotYetPurgeableBlocks()

  Returns the notYetPurgeableBlocks field of this Object.
  Returns:
    The current notYetPurgeableBlocks value.

### setNotYetPurgeableBlocks

    public void setNotYetPurgeableBlocks(int value)

  Sets the notYetPurgeableBlocks field of this Object.
  Parameters:
    `value` - The new notYetPurgeableBlocks value.

### getReserved

    public int getReserved()

  Returns the reserved field of this Object.
  Returns:
    The current reserved value.

### setReserved

    public void setReserved(int value)

  Sets the reserved field of this Object.
  Parameters:
    `value` - The new reserved value.

### setCompareString

    public void setCompareString(java.lang.String compareString)

  Set the compare string value for the compare fields.

  The compare string uses the RFC1960 (LDAP) search string format and is used to allow individual compares on the compare fields. See the list of compare fields in the full constructor parameter list. If the string passed in is not a valid RFC1960 formated string, this method will throw an IllegalArgumentException. If the compareString value is NULL, RFC1960 formatted compares will be disabled.

  The names of these fields takes the names of their corresponding methods minus the get or set prefix. Given the following string:

  "(&(Name=*printer*)(ObjectId>=2)(Rights>=128))"

  The equals method will return TRUE if the name contains the substring printer, the objectId is not 2, and the rights are set to be able to modify (TA_MODIFY). If the approximate operator type is used on the Rights field the various bits of the operand value are checked, and if any of them are set, equals will return TRUE. For example: "(Rights~=3) returns TRUE if either the TA_READ or TA_WRITE bits are set, regardless of what other bits might be set.

  Parameters:
    `compareString` - The RFC1960 formatted search string. NULL disables this compare functionality.
  Throws:
    java.lang.IllegalArgumentException - if the string passed in is not a valid RFC1960 formatted string.
  See Also:
    `equals(java.lang.Object)`, `VOLNAME_FIELD`, `TOTALBLOCKS_FIELD`, `SECTORSPERBLOCK_FIELD`, `AVAILABLEBLOCKS_FIELD`, `TOTALDIRENTRIES_FIELD`, `AVAILABLEDIRENTRIES_FIELD`, `VOLISREMOVABLEFLAG_FIELD`, `VOLTYPE_FIELD`, `STATUSFLAG_FIELD`, `SECTORSIZE_FIELD`, `SECTORSPERCLUSTER_FIELD`, `VOLSIZEINCLUSTERS_FIELD`, `FREECLUSTERS_FIELD`, `SUBALLOCFREEABLECLUSTERS_FIELD`, `FREEABLELIMBOSECTORS_FIELD`, `NONFREEABLELIMBOSECTORS_FIELD`, `AVAILSUBALLOCSECTORS_FIELD`, `NONUSEABLESUBALLOCSECTORS_FIELD`, `SUBALLOCCLUSTERS_FIELD`, `NUMDATASTREAMS_FIELD`, `NUMLIMBODATASTREAMS_FIELD`, `OLDESTDELFILEAGEINTICKS_FIELD`, `NUMCOMPRESSEDDATASTREAMS_FIELD`, `NUMCOMPRESSEDLIMBODATASTREAMS_FIELD`, `NUMNONCOMPRESSIBLEDATASTREAMS_FIELD`, `PRECOMPRESSEDSECTORS_FIELD`, `COMPRESSEDSECTORS_FIELD`, `NUMMIGRATEDDATASTREAMS_FIELD`, `MIGRATEDSECTORS_FIELD`, `CLUSTERSUSEDBYFAT_FIELD`, `CLUSTERSUSEDBYDIRS_FIELD`, `CLUSTERSUSEDBYEXTDIRS_FIELD`, `UNUSEDDIRENTRIES_FIELD`, `TOTALEXTDIREXTANTS_FIELD`, `UNUSEDEXTDIREXTANTS_FIELD`, `EXTATTRSDEFINED_FIELD`, `EXTATTREXTANTSUSED_FIELD`, `DIRECTORYSERVICESNAME_FIELD`, `VOLLASTMODIFIEDDATEANDTIME_FIELD`, `PURGEABLEBLOCKS_FIELD`, `NOTYETPURGEABLEBLOCKS_FIELD`, `RESERVED_FIELD`

### getCompareString

    public java.lang.String getCompareString()

  Returns the current value of compareString.
  Returns:
    The current value of compareString.
  See Also:
    `setCompareString(java.lang.String)`

### getSearchStringParser

    public com.novell.service.rfc1960.Rfc1960Parser getSearchStringParser()

  Returns a Rfc1960Parser object that was instantiated with the compareString last set by the setCompareString method.
  Returns:
    The Rfc1960Parser object for the current compare String. NULL is returned if the compare string has not been set.

### equals

    public boolean equals(java.lang.Object obj)

  Compare the input object against this object for equality.

  If the input object has a RFC1960 compare string, this method will do the comparision based on the commands in the compare string. If the operationType is illegal for the data type being compared, an IllegalArmumentException will be thrown.

  Parameters:
    `obj` - The object to compare.
  Returns:
    A boolean set to TRUE if the objects are equal; otherwise FALSE is returned.
  Throws:
    java.lang.IllegalArgumentException - if the operationType is illegal for the data type being compared.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `setCompareString(java.lang.String)`, `VOLNAME_FIELD`, `TOTALBLOCKS_FIELD`, `SECTORSPERBLOCK_FIELD`, `AVAILABLEBLOCKS_FIELD`, `TOTALDIRENTRIES_FIELD`, `AVAILABLEDIRENTRIES_FIELD`, `VOLISREMOVABLEFLAG_FIELD`, `VOLTYPE_FIELD`, `STATUSFLAG_FIELD`, `SECTORSIZE_FIELD`, `SECTORSPERCLUSTER_FIELD`, `VOLSIZEINCLUSTERS_FIELD`, `FREECLUSTERS_FIELD`, `SUBALLOCFREEABLECLUSTERS_FIELD`, `FREEABLELIMBOSECTORS_FIELD`, `NONFREEABLELIMBOSECTORS_FIELD`, `AVAILSUBALLOCSECTORS_FIELD`, `NONUSEABLESUBALLOCSECTORS_FIELD`, `SUBALLOCCLUSTERS_FIELD`, `NUMDATASTREAMS_FIELD`, `NUMLIMBODATASTREAMS_FIELD`, `OLDESTDELFILEAGEINTICKS_FIELD`, `NUMCOMPRESSEDDATASTREAMS_FIELD`, `NUMCOMPRESSEDLIMBODATASTREAMS_FIELD`, `NUMNONCOMPRESSIBLEDATASTREAMS_FIELD`, `PRECOMPRESSEDSECTORS_FIELD`, `COMPRESSEDSECTORS_FIELD`, `NUMMIGRATEDDATASTREAMS_FIELD`, `MIGRATEDSECTORS_FIELD`, `CLUSTERSUSEDBYFAT_FIELD`, `CLUSTERSUSEDBYDIRS_FIELD`, `CLUSTERSUSEDBYEXTDIRS_FIELD`, `UNUSEDDIRENTRIES_FIELD`, `TOTALEXTDIREXTANTS_FIELD`, `UNUSEDEXTDIREXTANTS_FIELD`, `EXTATTRSDEFINED_FIELD`, `EXTATTREXTANTSUSED_FIELD`, `DIRECTORYSERVICESNAME_FIELD`, `VOLLASTMODIFIEDDATEANDTIME_FIELD`, `PURGEABLEBLOCKS_FIELD`, `NOTYETPURGEABLEBLOCKS_FIELD`, `RESERVED_FIELD`

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  The returned string is in the following format: "volName: s, totalBlocks: n, sectorsPerBlock: n, availableBlocks: n, totalDirEntries: n, availableDirEntries: n, volIsRemovableFlag: n, volType: n, statusFlag: n, sectorSize: n, sectorsPerCluster: n, volSizeInClusters: n, freeClusters: n, subAllocFreeableClusters: n, freeableLimboSectors: n, nonfreeableLimboSectors: n, availSubAllocSectors: n, nonuseableSubAllocSectors: n, subAllocClusters: n, numDataStreams: n, numLimboDataStreams: n, oldestDelFileAgeInTicks: n, numCompressedDataStreams: n, numCompressedLimboDataStreams: n, numNoncompressibleDataStreams: n, precompressedSectors: n, compressedSectors: n, numMigratedDataStreams: n, migratedSectors: n, clustersUsedByFAT: n, clustersUsedByDirs: n, clustersUsedByExtDirs: n, unusedDirEntries: n, totalExtDirExtants: n, unusedExtDirExtants: n, extAttrsDefined: n, extAttrExtantsUsed: n, directoryServicesName: n, volLastModifiedDateAndTime: n, purgeableBlocks: n, notYetPurgeableBlocks: n, reserved: n, compareString: s"

  Returns:
    A String representation of this object.
  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Instantiates a new VolumeInformation object with all new references, but with the same values within those references.
  Returns:
    A new VolumeInformation object with the same values.
  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD